/*!
 *@file
 */

#include "bar/thread.h"
#include "mythread.h"

/*!
 *@namespace Admin
 *
 *@brief Administrative interface support.
 */
namespace Admin {

/*!
 *@class Proxy
 *
 *@brief The proxy to administrative client.
 */
class Proxy
	: public Threads::Thread
{
protected:
	Threads::ThreadRet
	Run(void);

};

}

/*!
 *@namespace MyAdmin
 *
 *@brief Administrative interface support.
 */
namespace MyAdmin {

/*!
 *@class Proxy
 *
 *@brief The proxy to administrative client.
 */
class Proxy
	: public MyThreads::Thread
{
protected:
	Threads::ThreadRet
	Run(void);

};

}
