/*!
 *@file
 */

/*!
 *@namespace MyThreads
 *
 *@brief POSIX pthreads suport
 */
namespace MyThreads {

/*!
 *@interface Thread
 *
 *@brief Posix thread wrapper.
 */
class Thread
{
protected:
        /*!
         *@brief Thread entry point.
         *
         *@return The return code for this instance.
         */
        virtual ThreadRet
        Run(void) = 0;
};

}
